AnswerBun.com

Dependencies fail to install, cannot install picamera on pi3

Raspberry Pi Asked by John Deer on September 10, 2020

When I run apt-get install python3-picamera it fails with different dependency issues like:
files list file for package 'libparams-util-perl' is missing final newline

or

files list file for package ''libpam0g-dev.' is missing final newline

I’ve run sudo apt update; and sudo apt upgrade but neither seem to help.

I also read to delete the entries for the corresponding packages, and reinstall them in /var/lib/dpkg/<package> but that doesn’t seem to work either.

Can someone please help?

One Answer

Just checking, have you tried installing it as superuser?

sudo apt-get install python3-picamera

Alternatively, are you sure you need this library? I've been programming my PiCamera on a RPi3 and didn't need to install any additional libraries. Have you tried just enabling the camera on Interfacing Options at:

sudo raspi-config

and running a simple example to see if it works?

Answered by amorimph on September 10, 2020

Add your own answers!

Related Questions

Booting from HDMI

1  Asked on October 5, 2021 by kurtis

   

Starting Pi 4 with global_en

2  Asked on October 5, 2021

   

Peripherals not working after install of Raspbian

2  Asked on October 5, 2021 by jack_c

     

runing command on startup

5  Asked on October 5, 2021 by reaghan-pius

       

Ethernet for SSH via Offline Router, WiFi Chip for Internet

2  Asked on October 5, 2021 by logan-kuykendall

         

Pi 4 how to insert and remove usb

1  Asked on October 5, 2021 by alfred-dominic-vella

   

Stuck in a Login Loop

1  Asked on October 5, 2021

   

RFID RC522 Clone Script Unicode Error

1  Asked on October 5, 2021 by rlahey

       

Permanent IP Routing on rPi

1  Asked on October 5, 2021 by fenderbridge

   

sudo apt-get upgrade is extremely slow

2  Asked on October 5, 2021 by roman-matveev

     

trying to open .deb files in raspbian

2  Asked on October 5, 2021 by tom_nerd

 

GPIO to control 12V switch

2  Asked on October 5, 2021 by piaaw

   

Use 24-bit color Emacs theme with Raspberry Pi over SSH

2  Asked on October 5, 2021 by charliesneath

   

Ask a Question

Get help from others!

© 2022 AnswerBun.com. All rights reserved. Sites we Love: PCI Database, MenuIva, UKBizDB, Menu Kuliner, Sharing RPP, SolveDir